Result:= '';
DL:= TDrivesList.Create;
SL:= TStringListUTF8.Create;
if DL.Count > 0 then
 for Ind:= 0 to DL.Count - 1 do
  if DL.Items[Ind].DriveType = dtOptical then
   SL.Add(DL.Items[Ind].DriveLabel[1]);
SL.Delimiter:= ';';
Result:= PWideChar(SL.DelimitedText);
FreeAndNil(SL);
FreeAndNil(DL);
